"""
Module stores settings

    setting template:
        settingName:
            {
                'services'(str): 'one of POSSIBLE_SERVICE_NAMES',
                'schema'(dict): 'setting validation schema',
                'default'(dict): 'setting default values',
                'description'(str): 'setting description'
            }
"""
from .base_setting_definition import BaseSettingDefinition
from .schemas import CONFIGURATOR_USAGE

SETTINGS = {
    "LUNA_CONFIGURATOR": BaseSettingDefinition(
        settingName="LUNA_CONFIGURATOR",
        services=[],
        schema=CONFIGURATOR_USAGE,
        default={
            "use_configurator": False,
            "luna_configurator_origin": "http://127.0.0.1:5070",
            "luna_configurator_api": 1,
        },
        description="whether to get configs from configurator and its origin and api",
        groups=[],
    )
}
