"""
Module contains some base schemas
"""
TYPE_BOOL = {"type": "boolean"}
TYPE_SERVICE_ORIGIN = {
    "type": "string",
    "pattern": r"^http(s)?:\/\/[^\/:]+(:\d+)?$",
    "example": "http://127.0.0.1:5051",
}
TYPE_INT = {"type": "integer"}
CONFIGURATOR_USAGE = {
    "type": "object",
    "properties": {
        "use_configurator": TYPE_BOOL,
        "luna_configurator_origin": TYPE_SERVICE_ORIGIN,
        "luna_configurator_api": TYPE_INT,
    },
    "description": "whether to get configs from configurator and its origin and api",
    "required": ["use_configurator"],
    "additionalProperties": False,
}
